Package Gnumed :: Package business :: Module gmForms :: Class cFormTemplate |
[frames] | no frames]

# Class cFormTemplate

source code

                                       object --+
                                                |
    pycommon.gmBusinessDBObject.cBusinessDBObject --+
                                                    |
                                                   cFormTemplate

Instance Methods
export_to_file(self, filename=None, chunksize=0) Export form template from database into file. | source code
update_template_from_file(self, filename=None) | source code
instantiate(self) | source code
Inherited from `pycommon.gmBusinessDBObject.cBusinessDBObject`: `__del__`, `__getitem__`, `__init__`, `__setitem__`, `__str__`, `__unicode__`, `fields_as_dict`, `format`, `get_fields`, `get_patient`, `get_updatable_fields`, `is_modified`, `refetch_payload`, `same_payload`, `save`, `save_payload` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__subclasshook__`

Class Variables
| template_data = `property(_get_template_data, lambda x: x)`

Properties
Inherited from `object`: `__class__`